Last Comment Bug 751509 - Don't assert that about:memory percentage reporters are less than 100%
: Don't assert that about:memory percentage reporters are less than 100%
Status: RESOLVED FIXED
: assertion, regression
Product: Core
Classification: Components
Component: XPConnect (show other bugs)
: Trunk
: x86_64 Mac OS X
: -- normal (vote)
: mozilla15
Assigned To: Justin Lebar (not reading bugmail)
:
Mentors:
Depends on:
Blocks: 698928 748440
  Show dependency treegraph
 
Reported: 2012-05-03 03:01 PDT by Jesse Ruderman
Modified: 2012-05-05 03:40 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch v1 (1001 bytes, patch)
2012-05-03 08:21 PDT, Justin Lebar (not reading bugmail)
n.nethercote: review+
Details | Diff | Review

Description Jesse Ruderman 2012-05-03 03:01:33 PDT
My fuzzer created a situation where gc-heap-committed-unused is temporarily larger than gc-heap-allocated. This caused an assertion failure:

###!!! ASSERTION: Invalid value for js-main-runtime-gc-heap-committed-unused-ratio: 'false', file aboutMemory.js, line 0

    7,711,104 B ── js-main-runtime-gc-heap-allocated
    1,083,008 B ── js-main-runtime-gc-heap-arena-unused
    2,097,152 B ── js-main-runtime-gc-heap-chunk-clean-unused
    4,837,376 B ── js-main-runtime-gc-heap-chunk-dirty-unused
   15,728,640 B ── js-main-runtime-gc-heap-committed
    8,017,536 B ── js-main-runtime-gc-heap-committed-unused
        103.97% ── js-main-runtime-gc-heap-committed-unused-ratio [?!]
            0 B ── js-main-runtime-gc-heap-decommitted

Presumably a regression from http://hg.mozilla.org/mozilla-central/rev/f5a301fe9ba5. Bug 748440 comment 1 even anticipated the issue. Why was this reporter changed from a percentage to a ratio?
Comment 1 Justin Lebar (not reading bugmail) 2012-05-03 08:02:45 PDT
> Why was this reporter changed from a percentage to a ratio?

For the purposes of telemetry, I thought the ratio was a more interesting measurement.

We should just get rid of this assertion.  I looked for it and couldn't find it, but I clearly didn't look hard enough.
Comment 2 Justin Lebar (not reading bugmail) 2012-05-03 08:21:55 PDT
Created attachment 620710 [details] [diff] [review]
Patch v1
Comment 4 Justin Lebar (not reading bugmail) 2012-05-04 11:40:12 PDT
And landed again with a test fix.  https://hg.mozilla.org/integration/mozilla-inbound/rev/0528b55a2616

Note You need to log in before you can comment on or make changes to this bug.